Eclipse Platform Release 3.7

## org.eclipse.help
Interface ILiveHelpAction

All Superinterfaces:
  Runnable

All Known Implementing Classes:
  OpenCheatSheetFromHelpAction

    public interface ILiveHelpAction

extends Runnable

Live Help Extension. Classes that implement this interface can be used as live help extensions. When user clicks a live help link in a help document, the class will be loaded and run.

Since:
  2.0

Method Summary
`void` `setInitializationString(String data)` This method will be called upon instantiation of the live help extension.

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### setInitializationString

    void setInitializationString(String data)

  This method will be called upon instantiation of the live help extension. The data will be passed as specified in the help document live help link.

  Parameters:
    `data` - - initialization data as a String

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.